Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I just wanted to add my little stone, so I tried to do an install of "wine" on a Kubuntu installed on my laptop (amd64 quad proc, 12.04, strictly and regularly updated and maintained) which leads directly to a load of apt problems.

In addition, I have now 4 different instances of graphics apps for package/software maintenance, all in submenu K/system : software update, muon software manager, Ubuntu software center, muon update manager. In addition, I still have a broken apt system, I don't understand from what...

I followed the instructions given on that other thread https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/983543, shortened to :

dpkg -i /var/cache/apt/archives/*.deb

dpkg --configure -a

This gave me the final result :

dpkg : des problèmes de dépendances empêchent la configuration de wine1.4-common :  wine1.4-common dépend de wine1.4 (=
1.4-0ubuntu4.1) ; cependant :   Le paquet wine1.4 n'est pas installé. dpkg : erreur de traitement de wine1.4-common (--configure) : 
problèmes de dépendances - laissé non configuré dpkg : des problèmes
de dépendances empêchent la configuration de wine1.4-amd64 : 
wine1.4-amd64 dépend de wine1.4-common (= 1.4-0ubuntu4.1) ;
cependant :  Le paquet wine1.4-common n'est pas encore configuré. 
dpkg : erreur de traitement de wine1.4-amd64 (--configure) : 
problèmes de dépendances - laissé non configuré Paramétrage de
libdrm-intel1:i386 (2.4.39-0ubuntu0.1) ... Paramétrage de
libgl1-mesa-dri:i386 (8.0.4-0ubuntu0.3) ... Traitement des actions
différées (« triggers ») pour « libc-bin »... ldconfig deferred
processing now taking place Des erreurs ont été rencontrées pendant
l'exécution :  wine1.4-common  wine1.4-amd64

I am still searching for a solution, also to simplify those duplicate graphic apps for software management, would appreciate any help, thanks !

share|improve this question
    
Check the dependencies. From what I can get from your error message is that you need libgl1-mesa-dri:i386 and libdrm-intel1:i386. Seems strange that you need 386 packages for an amd64 packa as well. –  McNisse Feb 19 '13 at 10:31
    
hi mcNisse thanks anyways i have forgotten wine, too much troubble, i'll just stick to virtualbox it finnaly gives good results for my needs. I suppose it wanted i386 in order to run i386 windows libraries ? –  user133464 Feb 19 '13 at 10:56

2 Answers 2

A possible reason for the dependency resolution can be, that via additional sources or manual installation some problematic are installed. Especially problematic if some kind of newer packages are installed, that are not part of the currently configured package repositories.

This could be the result of the dpkg -i /var/cache/apt/archives/*.deb command your have invoked.

On way to work around this problem is to try to remove more and more packages with the following commands

dpkg --force-depends --purge <PackageNameList>
apt-get install --fix-broken
  • dpkg --force-depends --purge will remove the package even if another package depends on the installation of this package.
  • apt-get install --fix-broken will try to get the system in a consistent state by installing all missing dependencies.

You should start with wine1.4-common and extend the PackageNameList with all other noted packages on the output of dpkg --configure -a

Postscriptum

export   LC_ALL="en_US.UTF-8"
export   LANG="en_US.UTF-8"
export   LANGUAGE="en_US:en"

Afterwards the error message should be readable also on the other side of the Rhine ;-)

share|improve this answer

try

`sudo dpkg --configure -a

Maybe this solves your problem. `

share|improve this answer
    
hias you may notice i did it (i am working as root so do not use the "sudo" ) –  user133464 Feb 19 '13 at 10:37
    
the message given in return by dpkg is in french. it means something like "unmet dependancies while installing wine-1.4-common" –  user133464 Feb 19 '13 at 10:40
    
hi again, i finnaly solved the wine blocking problem, i just ran : [code] #dpkg --purge wine* [/code] followed by an [code] #apt-get -f install [/code] and everything went back to normal, now i would like to simplify the menu and remove the duplicate muon/update manager from k/system menu wich i hope will be easy –  user133464 Feb 19 '13 at 10:46

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.